Subject: Re: bug#5658: 23.1; Viewing .info files in Emacs' info-viewer

From: Juri Linkov <[email-masked]>
Date: Sat, 06 Mar 2010 19:55:36 +0200

>> This doesn't work too.  It seems `Info-on-current-buffer' was created
>> exactly for the purpose to be associated with .info in auto-mode-alist.
>> It is not used anywhere else.
>
> Yes, I wrote Info-on-current-buffer specifically for this kind of use,
> but no it doesn't work for the auto-mode-alist, really.
> There is no good reason why it can't work for auto-mode-alist, but it's
> the way it currently is.  Patches welcome,

I see only one problem with using Info-on-current-buffer for the
auto-mode-alist.  Since it can't read the node name interactively,
it defaults to `Top' that may be missing in the current file of the
multi-file Info manual.  Perhaps it should default to the first node of
the current file.

-- 
Juri Linkov
http://www.jurta.org/emacs/